Package org.eclipse.swt

# Interface SwtCallable<V,E extends Exception>

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface SwtCallable<V,E extends Exception>
A method that returns a result and may throw a checked exception of the given type.

Since:
  3.118
Author:
  Joerg Kubitz
See Also:
  - `Display.syncCall(SwtCallable)`

## Method Summary

Modifier and Type
Method
Description
`V`
`call()`
Computes a value, or throws an exception.

## Method Details

### call

V call() throws E
Computes a value, or throws an exception.

Returns:
  the result
Throws:
  `E` - the Exception of given type